<?php

/**
* ownCloud - user_lmce
*
* @author Jochen Roth
* @copyright 2014 Jochen Roth
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
* License as published by the Free Software Foundation; either
* version 3 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU AFFERO GENERAL PUBLIC LICENSE for more details.
*
* You should have received a copy of the GNU Affero General Public
* License along with this library.  If not, see <http://www.gnu.org/licenses/>.
*
*/

// REQUIRE 
//require_once('apps/lmceimap/lmceimap.php');

//\OCP\App::registerAdmin('lmceimap', 'admin/settings');

// LOAD JS

OCP\Util::addscript('lmceimap','pqgrid/pqgrid.dev');
OCP\Util::addscript('lmceimap','pqgrid/localize/pq-localize-de');

OCP\Util::addscript('lmceimap','jquery.layout');
OCP\Util::addscript('lmceimap','script');

// LOAD CSS
OCP\Util::addStyle("lmceimap", "style");
OCP\Util::addStyle("lmceimap", "pqgrid");
OCP\Util::addStyle("lmceimap", "pqgrid.dev");

/*
OCP\Util::addscript("3rdparty", "chosen/chosen.jquery.min");
OCP\Util::addStyle("3rdparty", "chosen/chosen");
OCP\Util::addStyle('3rdparty/miniColors', 'jquery.miniColors');
OCP\Util::addscript('3rdparty/miniColors', 'jquery.miniColors.min');
*/


// NAVIGATION SETTINGS
\OCP\App::addNavigationEntry( array(
	'id' => 'lmceimap',
	'order' => 2,
	'href' => OCP\Util::linkTo( 'lmceimap', 'index.php' ),
	'icon' => OCP\Util::imagePath( 'lmceimap', 'mail.png' ),
	'name' => \OC_L10N::get('lmceimap')->t('Webmail') 	
));
